public Action:wl_restrict_all(client, args)
{
	decl String:weapon_[WEAPON_LENGTH];
	new index = GetArraySize(g_Items_Arrr);
	
	while (--index > -1)
	{
		GetArrayString(g_Items_Arrr, index, weapon_, WEAPON_LENGTH);
		SetTrieValue(g_Limit_Trie, weapon_, 0, true);
	}
	
	if (!wl_pause && wl_remove_after_restrict)
	{
		decl weapon, slot;
		for (new i = 1; i <= MaxClients; i++)
		{
			if (IsClientInGame(i) && IsPlayerAlive(i) && !Immunity(i))
			{
				for (slot = 0; slot <= 30; slot++)
				{
					if ((weapon = GetEntPropEnt(i, Prop_Send, "m_hMyWeapons", slot)) <= MaxClients) break;
					RemoveOrDrop(i, weapon);
				}
			}
		}
	}
	
	ReplyToCommand(client, "All weapons restricted");
	if (wl_notify) PrintToChatAll("%t", "restricted all");
	
	Call_StartForward(Handle:g_hEvent[WL_OnWeaponLimited]);
	Call_PushString("all");
	Call_PushCell(0);
	Call_Finish();
	
	return Plugin_Handled;
}

public Action:wl_unrestrict_all(client, args)
{
	if (GetTrieSize(g_Limit_Trie))
	{
		ClearTrie(g_Limit_Trie);
		
		ReplyToCommand(client, "All weapons unrestricted");
		if (wl_notify) PrintToChatAll("%t", "unrestricted all");
		
		Call_StartForward(Handle:g_hEvent[WL_OnWeaponAllowed]);
		Call_PushString("all");
		Call_Finish();
	}
	return Plugin_Handled;
}