public Action:wl_set_weapon(client, x)
{
	if (x != 1)
	{
		ReplyToCommand(client, "wl_set_weapon <weapon>");
		return Plugin_Handled;
	}

	decl String:weapon_[WEAPON_LENGTH];
	GetCmdArg(1, weapon_, WEAPON_LENGTH);
	
	if (!xTrimString(weapon_))
	{
		ReplyToCommand(client, "wl_set_weapon <weapon>");
		return Plugin_Handled;
	}
	
	if (!strcmp(weapon_, "c4", false))
	{
		ReplyToCommand(client, "Specify another weapon");
		return Plugin_Handled;
	}

	decl slot;
	if (!GetTrieValue(g_Slots_Trie, weapon_, slot))
	{
		ReplyToCommand(client, "wl_set_weapon <weapon>");
		return Plugin_Handled;
	}
	
	if (GetTrieValue(g_Limit_Trie, weapon_, x))
	{
		ReplyToCommand(client, "This weapon is limited..");
		return Plugin_Handled;
	}

	Format(weapon_, WEAPON_LENGTH, "weapon_%s", weapon_);
	new players = 0, index;
	
	for (x = 1; x <= MaxClients; x++)
	{
		if (IsClientInGame(x) && IsPlayerAlive(x))
		{
			players++;
			while ((index = GetPlayerWeaponSlot(x, slot)) > MaxClients)
			{
				RemovePlayerItem(x, index);
				AcceptEntityInput(index, "Kill");
			}
			GivePlayerItem(x, weapon_);
		}
	}
	
	ReplyToCommand(client, players ? "Weapon successfully given" : "No live players");
	return Plugin_Handled;
}