public Action:wl_unrestrict(client, args)
{
	if (args != 1)
	{
		ReplyToCommand(client, "wl_unrestrict <weapon>");
		return Plugin_Handled;
	}
	
	decl String:weapon_1[WEAPON_LENGTH];
	GetCmdArg(1, weapon_1, WEAPON_LENGTH);
	
	if (xTrimString(weapon_1) && RemoveFromTrie(g_Limit_Trie, weapon_1))
	{
		decl String:weapon_2[WEAPON_LENGTH];
		if (wS_GetSimilarWeapon(weapon_1, weapon_2, WEAPON_LENGTH))
		{
			RemoveFromTrie(g_Limit_Trie, weapon_2);
			decl String:weapons_[WEAPON_LENGTH * 2];
			FormatEx(weapons_, sizeof(weapons_), "%s + %s", weapon_1, weapon_2);
			ReplyToCommand(client, "%s unrestricted", weapons_);
			if (wl_notify) PrintToChatAll("%t", "unrestricted", weapons_);
		}
		else
		{
			ReplyToCommand(client, "%s unrestricted", weapon_1);
			if (wl_notify) PrintToChatAll("%t", "unrestricted", weapon_1);
		}
		
		wS_GetMainWeaponName(weapon_1, weapon_1, WEAPON_LENGTH);
		
		Call_StartForward(Handle:g_hEvent[WL_OnWeaponAllowed]);
		Call_PushString(weapon_1);
		Call_Finish();
	}
	else if (weapon_1[0])
		ReplyToCommand(client, "Weapon '%s' not restricted", weapon_1);
	else
		ReplyToCommand(client, "wl_unrestrict <weapon>");
	
	return Plugin_Handled;
}