public OnPluginStart()
{
	LoadTranslations("weapon_limit.phrases");
	ServerVars();
	
	//
	new Handle:hAr = GetWeaponListAr(); // functions.sp
	decl String:weapon_[WEAPON_LENGTH], slot, x;
	new count = GetArraySize(hAr);
	for (new index = 0; index < count; index++)
	{
		GetArrayString(hAr, index, weapon_, WEAPON_LENGTH); // "deagle_slot"
		if ((x = FindCharInString(weapon_, '_', true)) > 0 && (slot = StringToInt(weapon_[x+1])) >= 0 && slot <= 4)
		{
			weapon_[x] = 0;
			PushArrayString(g_Items_Arrr, weapon_);
			SetTrieValue(g_Slots_Trie, weapon_, slot, true);
		}
		else if (!strcmp(weapon_, NEW_LINE_SYMBOL))
			PushArrayString(g_Items_Arrr, NEW_LINE_SYMBOL);
	}
	CloseHandle(hAr);
	//
	
	RegAdminCmd("wl_admin",				wl_admin,			WL_FLAG);
	RegAdminCmd("wl_restrict",			wl_restrict,		WL_FLAG);
	RegAdminCmd("wl_unrestrict",		wl_unrestrict,		WL_FLAG);
	RegAdminCmd("wl_weapons",			wl_weapons,			WL_FLAG);
	RegAdminCmd("wl_status",			wl_status,			WL_FLAG);
	RegAdminCmd("wl_restrict_all",		wl_restrict_all,	WL_FLAG);
	RegAdminCmd("wl_unrestrict_all",	wl_unrestrict_all,	WL_FLAG);
	RegAdminCmd("wl_set_weapon",		wl_set_weapon,		WL_FLAG);
	RegAdminCmd("wl_help",				wl_help,			WL_FLAG);

	HookEvent  ("item_pickup",			item_pickup,		EventHookMode_Post);
	AddCommandListener(SayHook,			"say");
	
	if (LibraryExists("adminmenu"))
		OnAdminMenuReady(GetAdminTopMenu());
}

public OnMapEnd()
{
	wl_pause = false;
	ServerCommand("wl_pause 0");
	
	if (wl_map_end_unrestrcit && GetTrieSize(g_Limit_Trie))
	{
		ClearTrie(g_Limit_Trie);
		
		Call_StartForward(Handle:g_hEvent[WL_OnWeaponAllowed]);
		Call_PushString("all");
		Call_Finish();
	}
}

public OnClientDisconnect(client)
	g_Action[client] = wl_None;

public Action:SayHook(client, const String:command[], args)
{
	if (client > 0 && client <= MaxClients && g_Action[client] == wl_RestrictChatWait)
	{
		g_Action[client] = wl_Restrict;
		decl String:s[12];
		GetCmdArgString(s, sizeof(s));
		if (TrimString(s))
		{
			StripQuotes(s);
			if (TrimString(s))
			{
				new limit = StringToInt(s);
				if (limit < 0 || limit > MaxClients)
				{
					g_Action[client] = wl_RestrictChatWait;
					PrintToChat(client, "%s\x04%t", g_bCSGO ? " " : "", "_restrict_chat_wait", MaxClients);
					return Plugin_Handled;
				}
				else
					RestrictFromChat(client, limit);
			}
		}
		CreateTimer(FSEC, _restrict_TIMER, GetClientUserId(client), TIMER_FLAG_NO_MAPCHANGE);
		return Plugin_Handled;
	}
	return Plugin_Continue;
}